package com.yd.dal.service.customer;

import com.yd.dal.entity.customer.AclCustomer;

import java.util.List;

public interface AclCustomerDALService {

    /**
     * 通过登录号进行查找
     * @param mobileNo 手机号
     * @return
     */
    List<AclCustomer> findByLogin(String mobileNo);

    /**
     * 保存数据
     * @param aclCustomer
     * @return
     */
    void update(AclCustomer aclCustomer);

    /**
     * 获取用户信息
     * @param customerId
     * @return
     */
    AclCustomer findById(Long customerId);

    void save(AclCustomer aclCustomer);

    AclCustomer findByCustomerId(Long customerId);

    AclCustomer findByMobileNo(String mobileNo);
    
    AclCustomer findByWeChatNo(String weChatNo);

    List<AclCustomer> findByIds(List<Long> customerIds);

    List<AclCustomer> findByObj(AclCustomer aclCustomer);
}

